Loading...
Searching...
No Matches
Dune::TypeTree::has_node_tag_value< T, V > Struct Template Reference

`#include <dune/typetree/typetraits.hh>`

## Classes

struct | maybe
struct | yes
struct | no

## Static Public Member Functions

template<typename X>
static maybe< std::is_base_of< V, NodeTag< X > >::value > | test (NodeTag< X > *a)
template<typename X>
static no | test (...)

## Static Public Attributes

static constexpr bool | value = sizeof(test<T>(0)) == sizeof(yes)
| True if class T defines a NodeTag of type V.

## Member Function Documentation

## test() [1/2]

template<typename T, typename V>
template<typename X>

no Dune::TypeTree::has_node_tag_value< T, V >::test | ( |  | ... | ) |

static

## test() [2/2]

template<typename T, typename V>
template<typename X>

maybe< std::is_base_of< V, NodeTag< X > >::value > Dune::TypeTree::has_node_tag_value< T, V >::test | ( | NodeTag< X > * | a | ) |

static

## Member Data Documentation

## value

template<typename T, typename V>

bool Dune::TypeTree::has_node_tag_value< T, V >::value = sizeof(test<T>(0)) == sizeof(yes)

static constexpr

True if class T defines a NodeTag of type V.

The documentation for this struct was generated from the following file:

- typetraits.hh